# source: http://localhost:4466
# timestamp: Tue Jul 17 2018 14:40:05 GMT-0300 (-03)

type AggregateGroup {
  count: Int!
}

type AggregatePerson {
  count: Int!
}

type AggregatePost {
  count: Int!
}

type AggregatePrize {
  count: Int!
}

type AggregateProject {
  count: Int!
}

type AggregateProject_win_prize {
  count: Int!
}

type AggregateSelected {
  count: Int!
}

type BatchPayload {
  """The number of nodes that have been affected by the Batch operation."""
  count: Long!
}

type Group implements Node {
  id: ID!
  name: String!
}

"""A connection to a list of items."""
type GroupConnection {
  """Information to aid in pagination."""
  pageInfo: PageInfo!

  """A list of edges."""
  edges: [GroupEdge]!
  aggregate: AggregateGroup!
}

input GroupCreateInput {
  name: String!
}

input GroupCreateOneInput {
  create: GroupCreateInput
  connect: GroupWhereUniqueInput
}

"""An edge in a connection."""
type GroupEdge {
  """The item at the end of the edge."""
  node: Group!

  """A cursor for use in pagination."""
  cursor: String!
}

enum GroupOrderByInput {
  id_ASC
  id_DESC
  name_ASC
  name_DESC
  updatedAt_ASC
  updatedAt_DESC
  createdAt_ASC
  createdAt_DESC
}

type GroupPreviousValues {
  id: ID!
  name: String!
}

type GroupSubscriptionPayload {
  mutation: MutationType!
  node: Group
  updatedFields: [String!]
  previousValues: GroupPreviousValues
}

input GroupSubscriptionWhereInput {
  """Logical AND on all given filters."""
  AND: [GroupSubscriptionWhereInput!]

  """Logical OR on all given filters."""
  OR: [GroupSubscriptionWhereInput!]

  """Logical NOT on all given filters combined by AND."""
  NOT: [GroupSubscriptionWhereInput!]

  """
  The subscription event gets dispatched when it's listed in mutation_in
  """
  mutation_in: [MutationType!]

  """
  The subscription event gets only dispatched when one of the updated fields names is included in this list
  """
  updatedFields_contains: String

  """
  The subscription event gets only dispatched when all of the field names included in this list have been updated
  """
  updatedFields_contains_every: [String!]

  """
  The subscription event gets only dispatched when some of the field names included in this list have been updated
  """
  updatedFields_contains_some: [String!]
  node: GroupWhereInput
}

input GroupUpdateDataInput {
  name: String
}

input GroupUpdateInput {
  name: String
}

input GroupUpdateOneInput {
  create: GroupCreateInput
  connect: GroupWhereUniqueInput
  disconnect: Boolean
  delete: Boolean
  update: GroupUpdateDataInput
  upsert: GroupUpsertNestedInput
}

input GroupUpsertNestedInput {
  update: GroupUpdateDataInput!
  create: GroupCreateInput!
}

input GroupWhereInput {
  """Logical AND on all given filters."""
  AND: [GroupWhereInput!]

  """Logical OR on all given filters."""
  OR: [GroupWhereInput!]

  """Logical NOT on all given filters combined by AND."""
  NOT: [GroupWhereInput!]
  id: ID

  """All values that are not equal to given value."""
  id_not: ID

  """All values that are contained in given list."""
  id_in: [ID!]

  """All values that are not contained in given list."""
  id_not_in: [ID!]

  """All values less than the given value."""
  id_lt: ID

  """All values less than or equal the given value."""
  id_lte: ID

  """All values greater than the given value."""
  id_gt: ID

  """All values greater than or equal the given value."""
  id_gte: ID

  """All values containing the given string."""
  id_contains: ID

  """All values not containing the given string."""
  id_not_contains: ID

  """All values starting with the given string."""
  id_starts_with: ID

  """All values not starting with the given string."""
  id_not_starts_with: ID

  """All values ending with the given string."""
  id_ends_with: ID

  """All values not ending with the given string."""
  id_not_ends_with: ID
  name: String

  """All values that are not equal to given value."""
  name_not: String

  """All values that are contained in given list."""
  name_in: [String!]

  """All values that are not contained in given list."""
  name_not_in: [String!]

  """All values less than the given value."""
  name_lt: String

  """All values less than or equal the given value."""
  name_lte: String

  """All values greater than the given value."""
  name_gt: String

  """All values greater than or equal the given value."""
  name_gte: String

  """All values containing the given string."""
  name_contains: String

  """All values not containing the given string."""
  name_not_contains: String

  """All values starting with the given string."""
  name_starts_with: String

  """All values not starting with the given string."""
  name_not_starts_with: String

  """All values ending with the given string."""
  name_ends_with: String

  """All values not ending with the given string."""
  name_not_ends_with: String
  _MagicalBackRelation_GroupToSelected_every: SelectedWhereInput
  _MagicalBackRelation_GroupToSelected_some: SelectedWhereInput
  _MagicalBackRelation_GroupToSelected_none: SelectedWhereInput
  _MagicalBackRelation_GroupToProject_every: ProjectWhereInput
  _MagicalBackRelation_GroupToProject_some: ProjectWhereInput
  _MagicalBackRelation_GroupToProject_none: ProjectWhereInput
}

input GroupWhereUniqueInput {
  id: ID
  name: String
}

"""
The `Long` scalar type represents non-fractional signed whole numeric values.
Long can represent values between -(2^63) and 2^63 - 1.
"""
scalar Long

type Mutation {
  createPerson(data: PersonCreateInput!): Person!
  createPost(data: PostCreateInput!): Post!
  createSelected(data: SelectedCreateInput!): Selected!
  createProject_win_prize(data: Project_win_prizeCreateInput!): Project_win_prize!
  createPrize(data: PrizeCreateInput!): Prize!
  createProject(data: ProjectCreateInput!): Project!
  createGroup(data: GroupCreateInput!): Group!
  updatePerson(data: PersonUpdateInput!, where: PersonWhereUniqueInput!): Person
  updatePost(data: PostUpdateInput!, where: PostWhereUniqueInput!): Post
  updateSelected(data: SelectedUpdateInput!, where: SelectedWhereUniqueInput!): Selected
  updateProject_win_prize(data: Project_win_prizeUpdateInput!, where: Project_win_prizeWhereUniqueInput!): Project_win_prize
  updatePrize(data: PrizeUpdateInput!, where: PrizeWhereUniqueInput!): Prize
  updateProject(data: ProjectUpdateInput!, where: ProjectWhereUniqueInput!): Project
  updateGroup(data: GroupUpdateInput!, where: GroupWhereUniqueInput!): Group
  deletePerson(where: PersonWhereUniqueInput!): Person
  deletePost(where: PostWhereUniqueInput!): Post
  deleteSelected(where: SelectedWhereUniqueInput!): Selected
  deleteProject_win_prize(where: Project_win_prizeWhereUniqueInput!): Project_win_prize
  deletePrize(where: PrizeWhereUniqueInput!): Prize
  deleteProject(where: ProjectWhereUniqueInput!): Project
  deleteGroup(where: GroupWhereUniqueInput!): Group
  upsertPerson(where: PersonWhereUniqueInput!, create: PersonCreateInput!, update: PersonUpdateInput!): Person!
  upsertPost(where: PostWhereUniqueInput!, create: PostCreateInput!, update: PostUpdateInput!): Post!
  upsertSelected(where: SelectedWhereUniqueInput!, create: SelectedCreateInput!, update: SelectedUpdateInput!): Selected!
  upsertProject_win_prize(where: Project_win_prizeWhereUniqueInput!, create: Project_win_prizeCreateInput!, update: Project_win_prizeUpdateInput!): Project_win_prize!
  upsertPrize(where: PrizeWhereUniqueInput!, create: PrizeCreateInput!, update: PrizeUpdateInput!): Prize!
  upsertProject(where: ProjectWhereUniqueInput!, create: ProjectCreateInput!, update: ProjectUpdateInput!): Project!
  upsertGroup(where: GroupWhereUniqueInput!, create: GroupCreateInput!, update: GroupUpdateInput!): Group!
  updateManyPersons(data: PersonUpdateInput!, where: PersonWhereInput): BatchPayload!
  updateManyPosts(data: PostUpdateInput!, where: PostWhereInput): BatchPayload!
  updateManySelecteds(data: SelectedUpdateInput!, where: SelectedWhereInput): BatchPayload!
  updateManyProject_win_prizes(data: Project_win_prizeUpdateInput!, where: Project_win_prizeWhereInput): BatchPayload!
  updateManyPrizes(data: PrizeUpdateInput!, where: PrizeWhereInput): BatchPayload!
  updateManyProjects(data: ProjectUpdateInput!, where: ProjectWhereInput): BatchPayload!
  updateManyGroups(data: GroupUpdateInput!, where: GroupWhereInput): BatchPayload!
  deleteManyPersons(where: PersonWhereInput): BatchPayload!
  deleteManyPosts(where: PostWhereInput): BatchPayload!
  deleteManySelecteds(where: SelectedWhereInput): BatchPayload!
  deleteManyProject_win_prizes(where: Project_win_prizeWhereInput): BatchPayload!
  deleteManyPrizes(where: PrizeWhereInput): BatchPayload!
  deleteManyProjects(where: ProjectWhereInput): BatchPayload!
  deleteManyGroups(where: GroupWhereInput): BatchPayload!
}

enum MutationType {
  CREATED
  UPDATED
  DELETED
}

"""An object with an ID"""
interface Node {
  """The id of the object."""
  id: ID!
}

"""Information about pagination in a connection."""
type PageInfo {
  """When paginating forwards, are there more items?"""
  hasNextPage: Boolean!

  """When paginating backwards, are there more items?"""
  hasPreviousPage: Boolean!

  """When paginating backwards, the cursor to continue."""
  startCursor: String

  """When paginating forwards, the cursor to continue."""
  endCursor: String
}

type Person implements Node {
  id: ID!
  name: String!
  posts(where: PostWhereInput, orderBy: PostOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [Post!]
}

"""A connection to a list of items."""
type PersonConnection {
  """Information to aid in pagination."""
  pageInfo: PageInfo!

  """A list of edges."""
  edges: [PersonEdge]!
  aggregate: AggregatePerson!
}

input PersonCreateInput {
  name: String!
  posts: PostCreateManyWithoutAuthorInput
}

input PersonCreateOneWithoutPostsInput {
  create: PersonCreateWithoutPostsInput
  connect: PersonWhereUniqueInput
}

input PersonCreateWithoutPostsInput {
  name: String!
}

"""An edge in a connection."""
type PersonEdge {
  """The item at the end of the edge."""
  node: Person!

  """A cursor for use in pagination."""
  cursor: String!
}

enum PersonOrderByInput {
  id_ASC
  id_DESC
  name_ASC
  name_DESC
  updatedAt_ASC
  updatedAt_DESC
  createdAt_ASC
  createdAt_DESC
}

type PersonPreviousValues {
  id: ID!
  name: String!
}

type PersonSubscriptionPayload {
  mutation: MutationType!
  node: Person
  updatedFields: [String!]
  previousValues: PersonPreviousValues
}

input PersonSubscriptionWhereInput {
  """Logical AND on all given filters."""
  AND: [PersonSubscriptionWhereInput!]

  """Logical OR on all given filters."""
  OR: [PersonSubscriptionWhereInput!]

  """Logical NOT on all given filters combined by AND."""
  NOT: [PersonSubscriptionWhereInput!]

  """
  The subscription event gets dispatched when it's listed in mutation_in
  """
  mutation_in: [MutationType!]

  """
  The subscription event gets only dispatched when one of the updated fields names is included in this list
  """
  updatedFields_contains: String

  """
  The subscription event gets only dispatched when all of the field names included in this list have been updated
  """
  updatedFields_contains_every: [String!]

  """
  The subscription event gets only dispatched when some of the field names included in this list have been updated
  """
  updatedFields_contains_some: [String!]
  node: PersonWhereInput
}

input PersonUpdateInput {
  name: String
  posts: PostUpdateManyWithoutAuthorInput
}

input PersonUpdateOneWithoutPostsInput {
  create: PersonCreateWithoutPostsInput
  connect: PersonWhereUniqueInput
  delete: Boolean
  update: PersonUpdateWithoutPostsDataInput
  upsert: PersonUpsertWithoutPostsInput
}

input PersonUpdateWithoutPostsDataInput {
  name: String
}

input PersonUpsertWithoutPostsInput {
  update: PersonUpdateWithoutPostsDataInput!
  create: PersonCreateWithoutPostsInput!
}

input PersonWhereInput {
  """Logical AND on all given filters."""
  AND: [PersonWhereInput!]

  """Logical OR on all given filters."""
  OR: [PersonWhereInput!]

  """Logical NOT on all given filters combined by AND."""
  NOT: [PersonWhereInput!]
  id: ID

  """All values that are not equal to given value."""
  id_not: ID

  """All values that are contained in given list."""
  id_in: [ID!]

  """All values that are not contained in given list."""
  id_not_in: [ID!]

  """All values less than the given value."""
  id_lt: ID

  """All values less than or equal the given value."""
  id_lte: ID

  """All values greater than the given value."""
  id_gt: ID

  """All values greater than or equal the given value."""
  id_gte: ID

  """All values containing the given string."""
  id_contains: ID

  """All values not containing the given string."""
  id_not_contains: ID

  """All values starting with the given string."""
  id_starts_with: ID

  """All values not starting with the given string."""
  id_not_starts_with: ID

  """All values ending with the given string."""
  id_ends_with: ID

  """All values not ending with the given string."""
  id_not_ends_with: ID
  name: String

  """All values that are not equal to given value."""
  name_not: String

  """All values that are contained in given list."""
  name_in: [String!]

  """All values that are not contained in given list."""
  name_not_in: [String!]

  """All values less than the given value."""
  name_lt: String

  """All values less than or equal the given value."""
  name_lte: String

  """All values greater than the given value."""
  name_gt: String

  """All values greater than or equal the given value."""
  name_gte: String

  """All values containing the given string."""
  name_contains: String

  """All values not containing the given string."""
  name_not_contains: String

  """All values starting with the given string."""
  name_starts_with: String

  """All values not starting with the given string."""
  name_not_starts_with: String

  """All values ending with the given string."""
  name_ends_with: String

  """All values not ending with the given string."""
  name_not_ends_with: String
  posts_every: PostWhereInput
  posts_some: PostWhereInput
  posts_none: PostWhereInput
}

input PersonWhereUniqueInput {
  id: ID
}

type Post implements Node {
  id: ID!
  title: String!
  content: String!
  published: Boolean!
  author(where: PersonWhereInput): Person!
}

"""A connection to a list of items."""
type PostConnection {
  """Information to aid in pagination."""
  pageInfo: PageInfo!

  """A list of edges."""
  edges: [PostEdge]!
  aggregate: AggregatePost!
}

input PostCreateInput {
  title: String!
  content: String!
  published: Boolean
  author: PersonCreateOneWithoutPostsInput!
}

input PostCreateManyWithoutAuthorInput {
  create: [PostCreateWithoutAuthorInput!]
  connect: [PostWhereUniqueInput!]
}

input PostCreateWithoutAuthorInput {
  title: String!
  content: String!
  published: Boolean
}

"""An edge in a connection."""
type PostEdge {
  """The item at the end of the edge."""
  node: Post!

  """A cursor for use in pagination."""
  cursor: String!
}

enum PostOrderByInput {
  id_ASC
  id_DESC
  title_ASC
  title_DESC
  content_ASC
  content_DESC
  published_ASC
  published_DESC
  updatedAt_ASC
  updatedAt_DESC
  createdAt_ASC
  createdAt_DESC
}

type PostPreviousValues {
  id: ID!
  title: String!
  content: String!
  published: Boolean!
}

type PostSubscriptionPayload {
  mutation: MutationType!
  node: Post
  updatedFields: [String!]
  previousValues: PostPreviousValues
}

input PostSubscriptionWhereInput {
  """Logical AND on all given filters."""
  AND: [PostSubscriptionWhereInput!]

  """Logical OR on all given filters."""
  OR: [PostSubscriptionWhereInput!]

  """Logical NOT on all given filters combined by AND."""
  NOT: [PostSubscriptionWhereInput!]

  """
  The subscription event gets dispatched when it's listed in mutation_in
  """
  mutation_in: [MutationType!]

  """
  The subscription event gets only dispatched when one of the updated fields names is included in this list
  """
  updatedFields_contains: String

  """
  The subscription event gets only dispatched when all of the field names included in this list have been updated
  """
  updatedFields_contains_every: [String!]

  """
  The subscription event gets only dispatched when some of the field names included in this list have been updated
  """
  updatedFields_contains_some: [String!]
  node: PostWhereInput
}

input PostUpdateInput {
  title: String
  content: String
  published: Boolean
  author: PersonUpdateOneWithoutPostsInput
}

input PostUpdateManyWithoutAuthorInput {
  create: [PostCreateWithoutAuthorInput!]
  connect: [PostWhereUniqueInput!]
  disconnect: [PostWhereUniqueInput!]
  delete: [PostWhereUniqueInput!]
  update: [PostUpdateWithWhereUniqueWithoutAuthorInput!]
  upsert: [PostUpsertWithWhereUniqueWithoutAuthorInput!]
}

input PostUpdateWithoutAuthorDataInput {
  title: String
  content: String
  published: Boolean
}

input PostUpdateWithWhereUniqueWithoutAuthorInput {
  where: PostWhereUniqueInput!
  data: PostUpdateWithoutAuthorDataInput!
}

input PostUpsertWithWhereUniqueWithoutAuthorInput {
  where: PostWhereUniqueInput!
  update: PostUpdateWithoutAuthorDataInput!
  create: PostCreateWithoutAuthorInput!
}

input PostWhereInput {
  """Logical AND on all given filters."""
  AND: [PostWhereInput!]

  """Logical OR on all given filters."""
  OR: [PostWhereInput!]

  """Logical NOT on all given filters combined by AND."""
  NOT: [PostWhereInput!]
  id: ID

  """All values that are not equal to given value."""
  id_not: ID

  """All values that are contained in given list."""
  id_in: [ID!]

  """All values that are not contained in given list."""
  id_not_in: [ID!]

  """All values less than the given value."""
  id_lt: ID

  """All values less than or equal the given value."""
  id_lte: ID

  """All values greater than the given value."""
  id_gt: ID

  """All values greater than or equal the given value."""
  id_gte: ID

  """All values containing the given string."""
  id_contains: ID

  """All values not containing the given string."""
  id_not_contains: ID

  """All values starting with the given string."""
  id_starts_with: ID

  """All values not starting with the given string."""
  id_not_starts_with: ID

  """All values ending with the given string."""
  id_ends_with: ID

  """All values not ending with the given string."""
  id_not_ends_with: ID
  title: String

  """All values that are not equal to given value."""
  title_not: String

  """All values that are contained in given list."""
  title_in: [String!]

  """All values that are not contained in given list."""
  title_not_in: [String!]

  """All values less than the given value."""
  title_lt: String

  """All values less than or equal the given value."""
  title_lte: String

  """All values greater than the given value."""
  title_gt: String

  """All values greater than or equal the given value."""
  title_gte: String

  """All values containing the given string."""
  title_contains: String

  """All values not containing the given string."""
  title_not_contains: String

  """All values starting with the given string."""
  title_starts_with: String

  """All values not starting with the given string."""
  title_not_starts_with: String

  """All values ending with the given string."""
  title_ends_with: String

  """All values not ending with the given string."""
  title_not_ends_with: String
  content: String

  """All values that are not equal to given value."""
  content_not: String

  """All values that are contained in given list."""
  content_in: [String!]

  """All values that are not contained in given list."""
  content_not_in: [String!]

  """All values less than the given value."""
  content_lt: String

  """All values less than or equal the given value."""
  content_lte: String

  """All values greater than the given value."""
  content_gt: String

  """All values greater than or equal the given value."""
  content_gte: String

  """All values containing the given string."""
  content_contains: String

  """All values not containing the given string."""
  content_not_contains: String

  """All values starting with the given string."""
  content_starts_with: String

  """All values not starting with the given string."""
  content_not_starts_with: String

  """All values ending with the given string."""
  content_ends_with: String

  """All values not ending with the given string."""
  content_not_ends_with: String
  published: Boolean

  """All values that are not equal to given value."""
  published_not: Boolean
  author: PersonWhereInput
}

input PostWhereUniqueInput {
  id: ID
}

type Prize implements Node {
  id: ID!
  description: String!
  name: String!
  rank: Int
  edition_id: Int!
}

"""A connection to a list of items."""
type PrizeConnection {
  """Information to aid in pagination."""
  pageInfo: PageInfo!

  """A list of edges."""
  edges: [PrizeEdge]!
  aggregate: AggregatePrize!
}

input PrizeCreateInput {
  description: String!
  name: String!
  rank: Int
  edition_id: Int!
}

input PrizeCreateOneInput {
  create: PrizeCreateInput
  connect: PrizeWhereUniqueInput
}

"""An edge in a connection."""
type PrizeEdge {
  """The item at the end of the edge."""
  node: Prize!

  """A cursor for use in pagination."""
  cursor: String!
}

enum PrizeOrderByInput {
  id_ASC
  id_DESC
  description_ASC
  description_DESC
  name_ASC
  name_DESC
  rank_ASC
  rank_DESC
  edition_id_ASC
  edition_id_DESC
  updatedAt_ASC
  updatedAt_DESC
  createdAt_ASC
  createdAt_DESC
}

type PrizePreviousValues {
  id: ID!
  description: String!
  name: String!
  rank: Int
  edition_id: Int!
}

type PrizeSubscriptionPayload {
  mutation: MutationType!
  node: Prize
  updatedFields: [String!]
  previousValues: PrizePreviousValues
}

input PrizeSubscriptionWhereInput {
  """Logical AND on all given filters."""
  AND: [PrizeSubscriptionWhereInput!]

  """Logical OR on all given filters."""
  OR: [PrizeSubscriptionWhereInput!]

  """Logical NOT on all given filters combined by AND."""
  NOT: [PrizeSubscriptionWhereInput!]

  """
  The subscription event gets dispatched when it's listed in mutation_in
  """
  mutation_in: [MutationType!]

  """
  The subscription event gets only dispatched when one of the updated fields names is included in this list
  """
  updatedFields_contains: String

  """
  The subscription event gets only dispatched when all of the field names included in this list have been updated
  """
  updatedFields_contains_every: [String!]

  """
  The subscription event gets only dispatched when some of the field names included in this list have been updated
  """
  updatedFields_contains_some: [String!]
  node: PrizeWhereInput
}

input PrizeUpdateDataInput {
  description: String
  name: String
  rank: Int
  edition_id: Int
}

input PrizeUpdateInput {
  description: String
  name: String
  rank: Int
  edition_id: Int
}

input PrizeUpdateOneInput {
  create: PrizeCreateInput
  connect: PrizeWhereUniqueInput
  delete: Boolean
  update: PrizeUpdateDataInput
  upsert: PrizeUpsertNestedInput
}

input PrizeUpsertNestedInput {
  update: PrizeUpdateDataInput!
  create: PrizeCreateInput!
}

input PrizeWhereInput {
  """Logical AND on all given filters."""
  AND: [PrizeWhereInput!]

  """Logical OR on all given filters."""
  OR: [PrizeWhereInput!]

  """Logical NOT on all given filters combined by AND."""
  NOT: [PrizeWhereInput!]
  id: ID

  """All values that are not equal to given value."""
  id_not: ID

  """All values that are contained in given list."""
  id_in: [ID!]

  """All values that are not contained in given list."""
  id_not_in: [ID!]

  """All values less than the given value."""
  id_lt: ID

  """All values less than or equal the given value."""
  id_lte: ID

  """All values greater than the given value."""
  id_gt: ID

  """All values greater than or equal the given value."""
  id_gte: ID

  """All values containing the given string."""
  id_contains: ID

  """All values not containing the given string."""
  id_not_contains: ID

  """All values starting with the given string."""
  id_starts_with: ID

  """All values not starting with the given string."""
  id_not_starts_with: ID

  """All values ending with the given string."""
  id_ends_with: ID

  """All values not ending with the given string."""
  id_not_ends_with: ID
  description: String

  """All values that are not equal to given value."""
  description_not: String

  """All values that are contained in given list."""
  description_in: [String!]

  """All values that are not contained in given list."""
  description_not_in: [String!]

  """All values less than the given value."""
  description_lt: String

  """All values less than or equal the given value."""
  description_lte: String

  """All values greater than the given value."""
  description_gt: String

  """All values greater than or equal the given value."""
  description_gte: String

  """All values containing the given string."""
  description_contains: String

  """All values not containing the given string."""
  description_not_contains: String

  """All values starting with the given string."""
  description_starts_with: String

  """All values not starting with the given string."""
  description_not_starts_with: String

  """All values ending with the given string."""
  description_ends_with: String

  """All values not ending with the given string."""
  description_not_ends_with: String
  name: String

  """All values that are not equal to given value."""
  name_not: String

  """All values that are contained in given list."""
  name_in: [String!]

  """All values that are not contained in given list."""
  name_not_in: [String!]

  """All values less than the given value."""
  name_lt: String

  """All values less than or equal the given value."""
  name_lte: String

  """All values greater than the given value."""
  name_gt: String

  """All values greater than or equal the given value."""
  name_gte: String

  """All values containing the given string."""
  name_contains: String

  """All values not containing the given string."""
  name_not_contains: String

  """All values starting with the given string."""
  name_starts_with: String

  """All values not starting with the given string."""
  name_not_starts_with: String

  """All values ending with the given string."""
  name_ends_with: String

  """All values not ending with the given string."""
  name_not_ends_with: String
  rank: Int

  """All values that are not equal to given value."""
  rank_not: Int

  """All values that are contained in given list."""
  rank_in: [Int!]

  """All values that are not contained in given list."""
  rank_not_in: [Int!]

  """All values less than the given value."""
  rank_lt: Int

  """All values less than or equal the given value."""
  rank_lte: Int

  """All values greater than the given value."""
  rank_gt: Int

  """All values greater than or equal the given value."""
  rank_gte: Int
  edition_id: Int

  """All values that are not equal to given value."""
  edition_id_not: Int

  """All values that are contained in given list."""
  edition_id_in: [Int!]

  """All values that are not contained in given list."""
  edition_id_not_in: [Int!]

  """All values less than the given value."""
  edition_id_lt: Int

  """All values less than or equal the given value."""
  edition_id_lte: Int

  """All values greater than the given value."""
  edition_id_gt: Int

  """All values greater than or equal the given value."""
  edition_id_gte: Int
  _MagicalBackRelation_PrizeToProject_win_prize_every: Project_win_prizeWhereInput
  _MagicalBackRelation_PrizeToProject_win_prize_some: Project_win_prizeWhereInput
  _MagicalBackRelation_PrizeToProject_win_prize_none: Project_win_prizeWhereInput
}

input PrizeWhereUniqueInput {
  id: ID
  edition_id: Int
}

type Project implements Node {
  id: ID!
  name: String!
  proposal: String
  repo_url: String
  group_id(where: GroupWhereInput): Group!
}

type Project_win_prize implements Node {
  id: ID!
  prize_id(where: PrizeWhereInput): Prize!
  project_id(where: ProjectWhereInput): Project!
}

"""A connection to a list of items."""
type Project_win_prizeConnection {
  """Information to aid in pagination."""
  pageInfo: PageInfo!

  """A list of edges."""
  edges: [Project_win_prizeEdge]!
  aggregate: AggregateProject_win_prize!
}

input Project_win_prizeCreateInput {
  prize_id: PrizeCreateOneInput!
  project_id: ProjectCreateOneInput!
}

"""An edge in a connection."""
type Project_win_prizeEdge {
  """The item at the end of the edge."""
  node: Project_win_prize!

  """A cursor for use in pagination."""
  cursor: String!
}

enum Project_win_prizeOrderByInput {
  id_ASC
  id_DESC
  updatedAt_ASC
  updatedAt_DESC
  createdAt_ASC
  createdAt_DESC
}

type Project_win_prizePreviousValues {
  id: ID!
}

type Project_win_prizeSubscriptionPayload {
  mutation: MutationType!
  node: Project_win_prize
  updatedFields: [String!]
  previousValues: Project_win_prizePreviousValues
}

input Project_win_prizeSubscriptionWhereInput {
  """Logical AND on all given filters."""
  AND: [Project_win_prizeSubscriptionWhereInput!]

  """Logical OR on all given filters."""
  OR: [Project_win_prizeSubscriptionWhereInput!]

  """Logical NOT on all given filters combined by AND."""
  NOT: [Project_win_prizeSubscriptionWhereInput!]

  """
  The subscription event gets dispatched when it's listed in mutation_in
  """
  mutation_in: [MutationType!]

  """
  The subscription event gets only dispatched when one of the updated fields names is included in this list
  """
  updatedFields_contains: String

  """
  The subscription event gets only dispatched when all of the field names included in this list have been updated
  """
  updatedFields_contains_every: [String!]

  """
  The subscription event gets only dispatched when some of the field names included in this list have been updated
  """
  updatedFields_contains_some: [String!]
  node: Project_win_prizeWhereInput
}

input Project_win_prizeUpdateInput {
  prize_id: PrizeUpdateOneInput
  project_id: ProjectUpdateOneInput
}

input Project_win_prizeWhereInput {
  """Logical AND on all given filters."""
  AND: [Project_win_prizeWhereInput!]

  """Logical OR on all given filters."""
  OR: [Project_win_prizeWhereInput!]

  """Logical NOT on all given filters combined by AND."""
  NOT: [Project_win_prizeWhereInput!]
  id: ID

  """All values that are not equal to given value."""
  id_not: ID

  """All values that are contained in given list."""
  id_in: [ID!]

  """All values that are not contained in given list."""
  id_not_in: [ID!]

  """All values less than the given value."""
  id_lt: ID

  """All values less than or equal the given value."""
  id_lte: ID

  """All values greater than the given value."""
  id_gt: ID

  """All values greater than or equal the given value."""
  id_gte: ID

  """All values containing the given string."""
  id_contains: ID

  """All values not containing the given string."""
  id_not_contains: ID

  """All values starting with the given string."""
  id_starts_with: ID

  """All values not starting with the given string."""
  id_not_starts_with: ID

  """All values ending with the given string."""
  id_ends_with: ID

  """All values not ending with the given string."""
  id_not_ends_with: ID
  prize_id: PrizeWhereInput
  project_id: ProjectWhereInput
}

input Project_win_prizeWhereUniqueInput {
  id: ID
}

"""A connection to a list of items."""
type ProjectConnection {
  """Information to aid in pagination."""
  pageInfo: PageInfo!

  """A list of edges."""
  edges: [ProjectEdge]!
  aggregate: AggregateProject!
}

input ProjectCreateInput {
  name: String!
  proposal: String
  repo_url: String
  group_id: GroupCreateOneInput!
}

input ProjectCreateOneInput {
  create: ProjectCreateInput
  connect: ProjectWhereUniqueInput
}

"""An edge in a connection."""
type ProjectEdge {
  """The item at the end of the edge."""
  node: Project!

  """A cursor for use in pagination."""
  cursor: String!
}

enum ProjectOrderByInput {
  id_ASC
  id_DESC
  name_ASC
  name_DESC
  proposal_ASC
  proposal_DESC
  repo_url_ASC
  repo_url_DESC
  updatedAt_ASC
  updatedAt_DESC
  createdAt_ASC
  createdAt_DESC
}

type ProjectPreviousValues {
  id: ID!
  name: String!
  proposal: String
  repo_url: String
}

type ProjectSubscriptionPayload {
  mutation: MutationType!
  node: Project
  updatedFields: [String!]
  previousValues: ProjectPreviousValues
}

input ProjectSubscriptionWhereInput {
  """Logical AND on all given filters."""
  AND: [ProjectSubscriptionWhereInput!]

  """Logical OR on all given filters."""
  OR: [ProjectSubscriptionWhereInput!]

  """Logical NOT on all given filters combined by AND."""
  NOT: [ProjectSubscriptionWhereInput!]

  """
  The subscription event gets dispatched when it's listed in mutation_in
  """
  mutation_in: [MutationType!]

  """
  The subscription event gets only dispatched when one of the updated fields names is included in this list
  """
  updatedFields_contains: String

  """
  The subscription event gets only dispatched when all of the field names included in this list have been updated
  """
  updatedFields_contains_every: [String!]

  """
  The subscription event gets only dispatched when some of the field names included in this list have been updated
  """
  updatedFields_contains_some: [String!]
  node: ProjectWhereInput
}

input ProjectUpdateDataInput {
  name: String
  proposal: String
  repo_url: String
  group_id: GroupUpdateOneInput
}

input ProjectUpdateInput {
  name: String
  proposal: String
  repo_url: String
  group_id: GroupUpdateOneInput
}

input ProjectUpdateOneInput {
  create: ProjectCreateInput
  connect: ProjectWhereUniqueInput
  delete: Boolean
  update: ProjectUpdateDataInput
  upsert: ProjectUpsertNestedInput
}

input ProjectUpsertNestedInput {
  update: ProjectUpdateDataInput!
  create: ProjectCreateInput!
}

input ProjectWhereInput {
  """Logical AND on all given filters."""
  AND: [ProjectWhereInput!]

  """Logical OR on all given filters."""
  OR: [ProjectWhereInput!]

  """Logical NOT on all given filters combined by AND."""
  NOT: [ProjectWhereInput!]
  id: ID

  """All values that are not equal to given value."""
  id_not: ID

  """All values that are contained in given list."""
  id_in: [ID!]

  """All values that are not contained in given list."""
  id_not_in: [ID!]

  """All values less than the given value."""
  id_lt: ID

  """All values less than or equal the given value."""
  id_lte: ID

  """All values greater than the given value."""
  id_gt: ID

  """All values greater than or equal the given value."""
  id_gte: ID

  """All values containing the given string."""
  id_contains: ID

  """All values not containing the given string."""
  id_not_contains: ID

  """All values starting with the given string."""
  id_starts_with: ID

  """All values not starting with the given string."""
  id_not_starts_with: ID

  """All values ending with the given string."""
  id_ends_with: ID

  """All values not ending with the given string."""
  id_not_ends_with: ID
  name: String

  """All values that are not equal to given value."""
  name_not: String

  """All values that are contained in given list."""
  name_in: [String!]

  """All values that are not contained in given list."""
  name_not_in: [String!]

  """All values less than the given value."""
  name_lt: String

  """All values less than or equal the given value."""
  name_lte: String

  """All values greater than the given value."""
  name_gt: String

  """All values greater than or equal the given value."""
  name_gte: String

  """All values containing the given string."""
  name_contains: String

  """All values not containing the given string."""
  name_not_contains: String

  """All values starting with the given string."""
  name_starts_with: String

  """All values not starting with the given string."""
  name_not_starts_with: String

  """All values ending with the given string."""
  name_ends_with: String

  """All values not ending with the given string."""
  name_not_ends_with: String
  proposal: String

  """All values that are not equal to given value."""
  proposal_not: String

  """All values that are contained in given list."""
  proposal_in: [String!]

  """All values that are not contained in given list."""
  proposal_not_in: [String!]

  """All values less than the given value."""
  proposal_lt: String

  """All values less than or equal the given value."""
  proposal_lte: String

  """All values greater than the given value."""
  proposal_gt: String

  """All values greater than or equal the given value."""
  proposal_gte: String

  """All values containing the given string."""
  proposal_contains: String

  """All values not containing the given string."""
  proposal_not_contains: String

  """All values starting with the given string."""
  proposal_starts_with: String

  """All values not starting with the given string."""
  proposal_not_starts_with: String

  """All values ending with the given string."""
  proposal_ends_with: String

  """All values not ending with the given string."""
  proposal_not_ends_with: String
  repo_url: String

  """All values that are not equal to given value."""
  repo_url_not: String

  """All values that are contained in given list."""
  repo_url_in: [String!]

  """All values that are not contained in given list."""
  repo_url_not_in: [String!]

  """All values less than the given value."""
  repo_url_lt: String

  """All values less than or equal the given value."""
  repo_url_lte: String

  """All values greater than the given value."""
  repo_url_gt: String

  """All values greater than or equal the given value."""
  repo_url_gte: String

  """All values containing the given string."""
  repo_url_contains: String

  """All values not containing the given string."""
  repo_url_not_contains: String

  """All values starting with the given string."""
  repo_url_starts_with: String

  """All values not starting with the given string."""
  repo_url_not_starts_with: String

  """All values ending with the given string."""
  repo_url_ends_with: String

  """All values not ending with the given string."""
  repo_url_not_ends_with: String
  group_id: GroupWhereInput
  _MagicalBackRelation_ProjectToProject_win_prize_every: Project_win_prizeWhereInput
  _MagicalBackRelation_ProjectToProject_win_prize_some: Project_win_prizeWhereInput
  _MagicalBackRelation_ProjectToProject_win_prize_none: Project_win_prizeWhereInput
}

input ProjectWhereUniqueInput {
  id: ID
  name: String
}

type Query {
  persons(where: PersonWhereInput, orderBy: PersonOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [Person]!
  posts(where: PostWhereInput, orderBy: PostOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [Post]!
  selecteds(where: SelectedWhereInput, orderBy: SelectedOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [Selected]!
  project_win_prizes(where: Project_win_prizeWhereInput, orderBy: Project_win_prizeOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [Project_win_prize]!
  prizes(where: PrizeWhereInput, orderBy: PrizeOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [Prize]!
  projects(where: ProjectWhereInput, orderBy: ProjectOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [Project]!
  groups(where: GroupWhereInput, orderBy: GroupOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): [Group]!
  person(where: PersonWhereUniqueInput!): Person
  post(where: PostWhereUniqueInput!): Post
  selected(where: SelectedWhereUniqueInput!): Selected
  project_win_prize(where: Project_win_prizeWhereUniqueInput!): Project_win_prize
  prize(where: PrizeWhereUniqueInput!): Prize
  project(where: ProjectWhereUniqueInput!): Project
  group(where: GroupWhereUniqueInput!): Group
  personsConnection(where: PersonWhereInput, orderBy: PersonOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): PersonConnection!
  postsConnection(where: PostWhereInput, orderBy: PostOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): PostConnection!
  selectedsConnection(where: SelectedWhereInput, orderBy: SelectedOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): SelectedConnection!
  project_win_prizesConnection(where: Project_win_prizeWhereInput, orderBy: Project_win_prizeOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): Project_win_prizeConnection!
  prizesConnection(where: PrizeWhereInput, orderBy: PrizeOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): PrizeConnection!
  projectsConnection(where: ProjectWhereInput, orderBy: ProjectOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): ProjectConnection!
  groupsConnection(where: GroupWhereInput, orderBy: GroupOrderByInput, skip: Int, after: String, before: String, first: Int, last: Int): GroupConnection!

  """Fetches an object given its ID"""
  node(
    """The ID of an object"""
    id: ID!
  ): Node
}

type Selected implements Node {
  id: ID!
  registered_id: Int!
  group_id(where: GroupWhereInput): Group
}

"""A connection to a list of items."""
type SelectedConnection {
  """Information to aid in pagination."""
  pageInfo: PageInfo!

  """A list of edges."""
  edges: [SelectedEdge]!
  aggregate: AggregateSelected!
}

input SelectedCreateInput {
  registered_id: Int!
  group_id: GroupCreateOneInput
}

"""An edge in a connection."""
type SelectedEdge {
  """The item at the end of the edge."""
  node: Selected!

  """A cursor for use in pagination."""
  cursor: String!
}

enum SelectedOrderByInput {
  id_ASC
  id_DESC
  registered_id_ASC
  registered_id_DESC
  updatedAt_ASC
  updatedAt_DESC
  createdAt_ASC
  createdAt_DESC
}

type SelectedPreviousValues {
  id: ID!
  registered_id: Int!
}

type SelectedSubscriptionPayload {
  mutation: MutationType!
  node: Selected
  updatedFields: [String!]
  previousValues: SelectedPreviousValues
}

input SelectedSubscriptionWhereInput {
  """Logical AND on all given filters."""
  AND: [SelectedSubscriptionWhereInput!]

  """Logical OR on all given filters."""
  OR: [SelectedSubscriptionWhereInput!]

  """Logical NOT on all given filters combined by AND."""
  NOT: [SelectedSubscriptionWhereInput!]

  """
  The subscription event gets dispatched when it's listed in mutation_in
  """
  mutation_in: [MutationType!]

  """
  The subscription event gets only dispatched when one of the updated fields names is included in this list
  """
  updatedFields_contains: String

  """
  The subscription event gets only dispatched when all of the field names included in this list have been updated
  """
  updatedFields_contains_every: [String!]

  """
  The subscription event gets only dispatched when some of the field names included in this list have been updated
  """
  updatedFields_contains_some: [String!]
  node: SelectedWhereInput
}

input SelectedUpdateInput {
  registered_id: Int
  group_id: GroupUpdateOneInput
}

input SelectedWhereInput {
  """Logical AND on all given filters."""
  AND: [SelectedWhereInput!]

  """Logical OR on all given filters."""
  OR: [SelectedWhereInput!]

  """Logical NOT on all given filters combined by AND."""
  NOT: [SelectedWhereInput!]
  id: ID

  """All values that are not equal to given value."""
  id_not: ID

  """All values that are contained in given list."""
  id_in: [ID!]

  """All values that are not contained in given list."""
  id_not_in: [ID!]

  """All values less than the given value."""
  id_lt: ID

  """All values less than or equal the given value."""
  id_lte: ID

  """All values greater than the given value."""
  id_gt: ID

  """All values greater than or equal the given value."""
  id_gte: ID

  """All values containing the given string."""
  id_contains: ID

  """All values not containing the given string."""
  id_not_contains: ID

  """All values starting with the given string."""
  id_starts_with: ID

  """All values not starting with the given string."""
  id_not_starts_with: ID

  """All values ending with the given string."""
  id_ends_with: ID

  """All values not ending with the given string."""
  id_not_ends_with: ID
  registered_id: Int

  """All values that are not equal to given value."""
  registered_id_not: Int

  """All values that are contained in given list."""
  registered_id_in: [Int!]

  """All values that are not contained in given list."""
  registered_id_not_in: [Int!]

  """All values less than the given value."""
  registered_id_lt: Int

  """All values less than or equal the given value."""
  registered_id_lte: Int

  """All values greater than the given value."""
  registered_id_gt: Int

  """All values greater than or equal the given value."""
  registered_id_gte: Int
  group_id: GroupWhereInput
}

input SelectedWhereUniqueInput {
  id: ID
  registered_id: Int
}

type Subscription {
  person(where: PersonSubscriptionWhereInput): PersonSubscriptionPayload
  post(where: PostSubscriptionWhereInput): PostSubscriptionPayload
  selected(where: SelectedSubscriptionWhereInput): SelectedSubscriptionPayload
  project_win_prize(where: Project_win_prizeSubscriptionWhereInput): Project_win_prizeSubscriptionPayload
  prize(where: PrizeSubscriptionWhereInput): PrizeSubscriptionPayload
  project(where: ProjectSubscriptionWhereInput): ProjectSubscriptionPayload
  group(where: GroupSubscriptionWhereInput): GroupSubscriptionPayload
}
